Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.TestSuite

Synopsis

- data TestSuite = TestSuite {
  - testName :: UnqualComponentName
  - testInterface :: TestSuiteInterface
  - testBuildInfo :: BuildInfo
  }
- emptyTestSuite :: TestSuite
- testType :: TestSuite -> TestType
- testModules :: TestSuite -> [ModuleName]
- testModulesAutogen :: TestSuite -> [ModuleName]

# Documentation

data TestSuite #

A "test-suite" stanza in a cabal file.

Constructors

TestSuite |

Fields

- testName :: UnqualComponentName
- testInterface :: TestSuiteInterface
- testBuildInfo :: BuildInfo

Instances

Eq TestSuite # |
Methods (==) :: TestSuite -> TestSuite -> Bool # (/=) :: TestSuite -> TestSuite -> Bool #
Data TestSuite # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> TestSuite -> c TestSuite Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c TestSuite Source #

toConstr :: TestSuite -> Constr Source #

dataTypeOf :: TestSuite -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c TestSuite) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c TestSuite) Source #

gmapT :: (forall b. Data b => b -> b) -> TestSuite -> TestSuite Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> TestSuite -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> TestSuite -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> TestSuite -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> TestSuite -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> TestSuite -> m TestSuite Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> TestSuite -> m TestSuite Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> TestSuite -> m TestSuite Source #

Read TestSuite # |
Methods readsPrec :: Int -> ReadS TestSuite Source # readList :: ReadS [TestSuite] Source # readPrec :: ReadPrec TestSuite Source # readListPrec :: ReadPrec [TestSuite] Source #
Show TestSuite # |
Methods showsPrec :: Int -> TestSuite -> ShowS Source # show :: TestSuite -> String Source # showList :: [TestSuite] -> ShowS Source #
Generic TestSuite # |
Associated Types type Rep TestSuite :: * -> * Source # Methods from :: TestSuite -> Rep TestSuite x Source # to :: Rep TestSuite x -> TestSuite Source #
Semigroup TestSuite # |
Methods (<>) :: TestSuite -> TestSuite -> TestSuite Source # sconcat :: NonEmpty TestSuite -> TestSuite Source # stimes :: Integral b => b -> TestSuite -> TestSuite Source #
Monoid TestSuite # |
Methods mempty :: TestSuite Source # mappend :: TestSuite -> TestSuite -> TestSuite Source # mconcat :: [TestSuite] -> TestSuite Source #
Binary TestSuite # |
Methods put :: TestSuite -> Put Source # get :: Get TestSuite Source # putList :: [TestSuite] -> Put Source #
type Rep TestSuite # |

type Rep TestSuite = D1 * (MetaData "TestSuite" "Distribution.Types.TestSuite" "Cabal-2.0.1.0" False) (C1 * (MetaCons "TestSuite" PrefixI True) ((:*:) * (S1 * (MetaSel (Just Symbol "testName") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * UnqualComponentName)) ((:*:) * (S1 * (MetaSel (Just Symbol "testInterface") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * TestSuiteInterface)) (S1 * (MetaSel (Just Symbol "testBuildInfo") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * BuildInfo)))))

emptyTestSuite :: TestSuite #

testType :: TestSuite -> TestType #

testModules :: TestSuite -> [ModuleName] #

Get all the module names from a test suite.

testModulesAutogen :: TestSuite -> [ModuleName] #

Get all the auto generated module names from a test suite. This are a subset of `testModules`.